Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.coval.dev/v1/personas/{persona_id} \ --header 'X-API-Key: <api-key>'
{ "persona": { "resource_name": "personas/3zfmuDbVQsi4GaseDtiVcS", "id": "3zfmuDbVQsi4GaseDtiVcS", "name": "Friendly Customer", "create_time": "2025-01-24T10:00:00Z", "persona_prompt": "You are a friendly customer calling for technical support...", "voice_name": "aria", "language_code": "en-US", "background_sound": "office", "background_sound_volume": 0.3, "voice_volume": 1.25, "voice_speed": 0.85, "wait_seconds": 0.5, "conversation_initiation": "speak_first", "multi_language_stt": true, "hold_music_timeout_seconds": 15, "tags": [ "voice", "english" ], "update_time": "2025-01-24T12:30:00Z" } }
Retrieve a specific persona by its unique identifier.
API key for authentication
Persona resource ID
"3zfmuDbVQsi4GaseDtiVcS"
Successful response
Persona resource representation returned by API responses.
Show child attributes
Was this page helpful?